Threshold Value Operations
Thresholding Operations

Replace thresholded image pixels with a value. More...

## Functions

NppStatus | nppiThreshold_Val_8u_C1R_Ctx (const Npp8u *pSrc, int nSrcStep, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, const Npp8u nThreshold, const Npp8u nValue, NppCmpOp eComparisonOperation, NppStreamContext nppStreamCtx)
| 1 channel 8-bit unsigned char threshold. More...
NppStatus | nppiThreshold_Val_8u_C1R (const Npp8u *pSrc, int nSrcStep, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, const Npp8u nThreshold, const Npp8u nValue, NppCmpOp eComparisonOperation)
NppStatus | nppiThreshold_Val_8u_C1IR_Ctx (Npp8u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, const Npp8u nThreshold, const Npp8u nValue, NppCmpOp eComparisonOperation, NppStreamContext nppStreamCtx)
| 1 channel 8-bit unsigned char in place threshold. More...
NppStatus | nppiThreshold_Val_8u_C1IR (Npp8u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, const Npp8u nThreshold, const Npp8u nValue, NppCmpOp eComparisonOperation)
NppStatus | nppiThreshold_Val_16u_C1R_Ctx (const Npp16u *pSrc, int nSrcStep, Npp16u *pDst, int nDstStep, NppiSize oSizeROI, const Npp16u nThreshold, const Npp16u nValue, NppCmpOp eComparisonOperation, NppStreamContext nppStreamCtx)
| 1 channel 16-bit unsigned short threshold. More...
NppStatus | nppiThreshold_Val_16u_C1R (const Npp16u *pSrc, int nSrcStep, Npp16u *pDst, int nDstStep, NppiSize oSizeROI, const Npp16u nThreshold, const Npp16u nValue, NppCmpOp eComparisonOperation)
NppStatus | nppiThreshold_Val_16u_C1IR_Ctx (Npp16u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, const Npp16u nThreshold, const Npp16u nValue, NppCmpOp eComparisonOperation, NppStreamContext nppStreamCtx)
| 1 channel 16-bit unsigned short in place threshold. More...
NppStatus | nppiThreshold_Val_16u_C1IR (Npp16u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, const Npp16u nThreshold, const Npp16u nValue, NppCmpOp eComparisonOperation)
NppStatus | nppiThreshold_Val_16s_C1R_Ctx (const Npp16s *pSrc, int nSrcStep, Npp16s *pDst, int nDstStep, NppiSize oSizeROI, const Npp16s nThreshold, const Npp16s nValue, NppCmpOp eComparisonOperation, NppStreamContext nppStreamCtx)
| 1 channel 16-bit signed short threshold. More...
NppStatus | nppiThreshold_Val_16s_C1R (const Npp16s *pSrc, int nSrcStep, Npp16s *pDst, int nDstStep, NppiSize oSizeROI, const Npp16s nThreshold, const Npp16s nValue, NppCmpOp eComparisonOperation)
NppStatus | nppiThreshold_Val_16s_C1IR_Ctx (Npp16s *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, const Npp16s nThreshold, const Npp16s nValue, NppCmpOp eComparisonOperation, NppStreamContext nppStreamCtx)
| 1 channel 16-bit signed short in place threshold. More...
NppStatus | nppiThreshold_Val_16s_C1IR (Npp16s *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, const Npp16s nThreshold, const Npp16s nValue, NppCmpOp eComparisonOperation)
NppStatus | nppiThreshold_Val_32f_C1R_Ctx (const Npp32f *pSrc, int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oSizeROI, const Npp32f nThreshold, const Npp32f nValue, NppCmpOp eComparisonOperation, NppStreamContext nppStreamCtx)
| 1 channel 32-bit floating point threshold. More...
NppStatus | nppiThreshold_Val_32f_C1R (const Npp32f *pSrc, int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oSizeROI, const Npp32f nThreshold, const Npp32f nValue, NppCmpOp eComparisonOperation)
NppStatus | nppiThreshold_Val_32f_C1IR_Ctx (Npp32f *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, const Npp32f nThreshold, const Npp32f nValue, NppCmpOp eComparisonOperation, NppStreamContext nppStreamCtx)
| 1 channel 32-bit floating point in place threshold. More...
NppStatus | nppiThreshold_Val_32f_C1IR (Npp32f *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, const Npp32f nThreshold, const Npp32f nValue, NppCmpOp eComparisonOperation)
NppStatus | nppiThreshold_Val_8u_C3R_Ctx (const Npp8u *pSrc, int nSrcStep, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, const Npp8u rThresholds[3], const Npp8u rValues[3], NppCmpOp eComparisonOperation, NppStreamContext nppStreamCtx)
| 3 channel 8-bit unsigned char threshold. More...
NppStatus | nppiThreshold_Val_8u_C3R (const Npp8u *pSrc, int nSrcStep, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, const Npp8u rThresholds[3], const Npp8u rValues[3], NppCmpOp eComparisonOperation)
NppStatus | nppiThreshold_Val_8u_C3IR_Ctx (Npp8u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, const Npp8u rThresholds[3], const Npp8u rValues[3], NppCmpOp eComparisonOperation, NppStreamContext nppStreamCtx)
| 3 channel 8-bit unsigned char in place threshold. More...
NppStatus | nppiThreshold_Val_8u_C3IR (Npp8u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, const Npp8u rThresholds[3], const Npp8u rValues[3], NppCmpOp eComparisonOperation)
NppStatus | nppiThreshold_Val_16u_C3R_Ctx (const Npp16u *pSrc, int nSrcStep, Npp16u *pDst, int nDstStep, NppiSize oSizeROI, const Npp16u rThresholds[3], const Npp16u rValues[3], NppCmpOp eComparisonOperation, NppStreamContext nppStreamCtx)
| 3 channel 16-bit unsigned short threshold. More...
NppStatus | nppiThreshold_Val_16u_C3R (const Npp16u *pSrc, int nSrcStep, Npp16u *pDst, int nDstStep, NppiSize oSizeROI, const Npp16u rThresholds[3], const Npp16u rValues[3], NppCmpOp eComparisonOperation)
NppStatus | nppiThreshold_Val_16u_C3IR_Ctx (Npp16u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, const Npp16u rThresholds[3], const Npp16u rValues[3], NppCmpOp eComparisonOperation, NppStreamContext nppStreamCtx)
| 3 channel 16-bit unsigned short in place threshold. More...
NppStatus | nppiThreshold_Val_16u_C3IR (Npp16u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, const Npp16u rThresholds[3], const Npp16u rValues[3], NppCmpOp eComparisonOperation)
NppStatus | nppiThreshold_Val_16s_C3R_Ctx (const Npp16s *pSrc, int nSrcStep, Npp16s *pDst, int nDstStep, NppiSize oSizeROI, const Npp16s rThresholds[3], const Npp16s rValues[3], NppCmpOp eComparisonOperation, NppStreamContext nppStreamCtx)
| 3 channel 16-bit signed short threshold. More...
NppStatus | nppiThreshold_Val_16s_C3R (const Npp16s *pSrc, int nSrcStep, Npp16s *pDst, int nDstStep, NppiSize oSizeROI, const Npp16s rThresholds[3], const Npp16s rValues[3], NppCmpOp eComparisonOperation)
NppStatus | nppiThreshold_Val_16s_C3IR_Ctx (Npp16s *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, const Npp16s rThresholds[3], const Npp16s rValues[3], NppCmpOp eComparisonOperation, NppStreamContext nppStreamCtx)
| 3 channel 16-bit signed short in place threshold. More...
NppStatus | nppiThreshold_Val_16s_C3IR (Npp16s *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, const Npp16s rThresholds[3], const Npp16s rValues[3], NppCmpOp eComparisonOperation)
NppStatus | nppiThreshold_Val_32f_C3R_Ctx (const Npp32f *pSrc, int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oSizeROI, const Npp32f rThresholds[3], const Npp32f rValues[3], NppCmpOp eComparisonOperation, NppStreamContext nppStreamCtx)
| 3 channel 32-bit floating point threshold. More...
NppStatus | nppiThreshold_Val_32f_C3R (const Npp32f *pSrc, int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oSizeROI, const Npp32f rThresholds[3], const Npp32f rValues[3], NppCmpOp eComparisonOperation)
NppStatus | nppiThreshold_Val_32f_C3IR_Ctx (Npp32f *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, const Npp32f rThresholds[3], const Npp32f rValues[3], NppCmpOp eComparisonOperation, NppStreamContext nppStreamCtx)
| 3 channel 32-bit floating point in place threshold. More...
NppStatus | nppiThreshold_Val_32f_C3IR (Npp32f *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, const Npp32f rThresholds[3], const Npp32f rValues[3], NppCmpOp eComparisonOperation)
NppStatus | nppiThreshold_Val_8u_AC4R_Ctx (const Npp8u *pSrc, int nSrcStep, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, const Npp8u rThresholds[3], const Npp8u rValues[3], NppCmpOp eComparisonOperation, NppStreamContext nppStreamCtx)
| 4 channel 8-bit unsigned char image threshold, not affecting Alpha. More...
NppStatus | nppiThreshold_Val_8u_AC4R (const Npp8u *pSrc, int nSrcStep, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, const Npp8u rThresholds[3], const Npp8u rValues[3], NppCmpOp eComparisonOperation)
NppStatus | nppiThreshold_Val_8u_AC4IR_Ctx (Npp8u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, const Npp8u rThresholds[3], const Npp8u rValues[3], NppCmpOp eComparisonOperation, NppStreamContext nppStreamCtx)
| 4 channel 8-bit unsigned char in place image threshold, not affecting Alpha. More...
NppStatus | nppiThreshold_Val_8u_AC4IR (Npp8u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, const Npp8u rThresholds[3], const Npp8u rValues[3], NppCmpOp eComparisonOperation)
NppStatus | nppiThreshold_Val_16u_AC4R_Ctx (const Npp16u *pSrc, int nSrcStep, Npp16u *pDst, int nDstStep, NppiSize oSizeROI, const Npp16u rThresholds[3], const Npp16u rValues[3], NppCmpOp eComparisonOperation, NppStreamContext nppStreamCtx)
| 4 channel 16-bit unsigned short image threshold, not affecting Alpha. More...
NppStatus | nppiThreshold_Val_16u_AC4R (const Npp16u *pSrc, int nSrcStep, Npp16u *pDst, int nDstStep, NppiSize oSizeROI, const Npp16u rThresholds[3], const Npp16u rValues[3], NppCmpOp eComparisonOperation)
NppStatus | nppiThreshold_Val_16u_AC4IR_Ctx (Npp16u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, const Npp16u rThresholds[3], const Npp16u rValues[3], NppCmpOp eComparisonOperation, NppStreamContext nppStreamCtx)
| 4 channel 16-bit unsigned short in place image threshold, not affecting Alpha. More...
NppStatus | nppiThreshold_Val_16u_AC4IR (Npp16u *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, const Npp16u rThresholds[3], const Npp16u rValues[3], NppCmpOp eComparisonOperation)
NppStatus | nppiThreshold_Val_16s_AC4R_Ctx (const Npp16s *pSrc, int nSrcStep, Npp16s *pDst, int nDstStep, NppiSize oSizeROI, const Npp16s rThresholds[3], const Npp16s rValues[3], NppCmpOp eComparisonOperation, NppStreamContext nppStreamCtx)
| 4 channel 16-bit signed short image threshold, not affecting Alpha. More...
NppStatus | nppiThreshold_Val_16s_AC4R (const Npp16s *pSrc, int nSrcStep, Npp16s *pDst, int nDstStep, NppiSize oSizeROI, const Npp16s rThresholds[3], const Npp16s rValues[3], NppCmpOp eComparisonOperation)
NppStatus | nppiThreshold_Val_16s_AC4IR_Ctx (Npp16s *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, const Npp16s rThresholds[3], const Npp16s rValues[3], NppCmpOp eComparisonOperation, NppStreamContext nppStreamCtx)
| 4 channel 16-bit signed short in place image threshold, not affecting Alpha. More...
NppStatus | nppiThreshold_Val_16s_AC4IR (Npp16s *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, const Npp16s rThresholds[3], const Npp16s rValues[3], NppCmpOp eComparisonOperation)
NppStatus | nppiThreshold_Val_32f_AC4R_Ctx (const Npp32f *pSrc, int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oSizeROI, const Npp32f rThresholds[3], const Npp32f rValues[3], NppCmpOp eComparisonOperation, NppStreamContext nppStreamCtx)
| 4 channel 32-bit floating point image threshold, not affecting Alpha. More...
NppStatus | nppiThreshold_Val_32f_AC4R (const Npp32f *pSrc, int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oSizeROI, const Npp32f rThresholds[3], const Npp32f rValues[3], NppCmpOp eComparisonOperation)
NppStatus | nppiThreshold_Val_32f_AC4IR_Ctx (Npp32f *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, const Npp32f rThresholds[3], const Npp32f rValues[3], NppCmpOp eComparisonOperation, NppStreamContext nppStreamCtx)
| 4 channel 32-bit floating point in place image threshold, not affecting Alpha. More...
NppStatus | nppiThreshold_Val_32f_AC4IR (Npp32f *pSrcDst, int nSrcDstStep, NppiSize oSizeROI, const Npp32f rThresholds[3], const Npp32f rValues[3], NppCmpOp eComparisonOperation)

## Detailed Description

Replace thresholded image pixels with a value.

### Common parameters for nppiThreshold_Val non-inplace and inplace functions include:

Parameters

  pSrcDst | In-Place Image Pointer for inplace functions.
  nSrcDstStep | In-Place-Image Line Step for inplace functions.
  pSrc | Source-Image Pointer for non-inplace functions.
  nSrcStep | Source-Image Line Step for non-inplace functions.
  pDst | Destination-Image Pointer for non-inplace functions.
  nDstStep | Destination-Image Line Step for non-inplace functions.
  oSizeROI | Region-of-Interest (ROI).
  nThreshold | The threshold value.
  nValue | The threshold replacement value.
  eComparisonOperation | The type of comparison operation to be used. The only valid values are: NPP_CMP_LESS and NPP_CMP_GREATER.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes, or NPP_NOT_SUPPORTED_MODE_ERROR if an invalid comparison operation type is specified.

## Function Documentation

NppStatus nppiThreshold_Val_16s_AC4IR | ( | Npp16s * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp16s | rThresholds[3],
|  | const Npp16s | rValues[3],
|  | NppCmpOp | eComparisonOperation
| ) |  |

NppStatus nppiThreshold_Val_16s_AC4IR_Ctx | ( | Npp16s * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp16s | rThresholds[3],
|  | const Npp16s | rValues[3],
|  | NppCmpOp | eComparisonOperation,
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 16-bit signed short in place image threshold, not affecting Alpha.

If for a comparison operations OP the predicate (sourcePixel.channel OP nThreshold) is true, the channel value is set to nValue, otherwise it is set to sourcePixel.

For common parameter descriptions, see Common parameters for nppiThreshold_Val functions.

NppStatus nppiThreshold_Val_16s_AC4R | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp16s | rThresholds[3],
|  | const Npp16s | rValues[3],
|  | NppCmpOp | eComparisonOperation
| ) |  |

NppStatus nppiThreshold_Val_16s_AC4R_Ctx | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp16s | rThresholds[3],
|  | const Npp16s | rValues[3],
|  | NppCmpOp | eComparisonOperation,
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 16-bit signed short image threshold, not affecting Alpha.

If for a comparison operations OP the predicate (sourcePixel.channel OP nThreshold) is true, the channel value is set to nValue, otherwise it is set to sourcePixel.

For common parameter descriptions, see Common parameters for nppiThreshold_Val functions.

NppStatus nppiThreshold_Val_16s_C1IR | ( | Npp16s * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp16s | nThreshold,
|  | const Npp16s | nValue,
|  | NppCmpOp | eComparisonOperation
| ) |  |

NppStatus nppiThreshold_Val_16s_C1IR_Ctx | ( | Npp16s * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp16s | nThreshold,
|  | const Npp16s | nValue,
|  | NppCmpOp | eComparisonOperation,
|  | NppStreamContext | nppStreamCtx
| ) |  |

1 channel 16-bit signed short in place threshold.

If for a comparison operations OP the predicate (sourcePixel OP nThreshold) is true, the pixel is set to nValue, otherwise it is set to sourcePixel.

For common parameter descriptions, see Common parameters for nppiThreshold_Val functions.

NppStatus nppiThreshold_Val_16s_C1R | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp16s | nThreshold,
|  | const Npp16s | nValue,
|  | NppCmpOp | eComparisonOperation
| ) |  |

NppStatus nppiThreshold_Val_16s_C1R_Ctx | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp16s | nThreshold,
|  | const Npp16s | nValue,
|  | NppCmpOp | eComparisonOperation,
|  | NppStreamContext | nppStreamCtx
| ) |  |

1 channel 16-bit signed short threshold.

If for a comparison operations OP the predicate (sourcePixel OP nThreshold) is true, the pixel is set to nValue, otherwise it is set to sourcePixel.

For common parameter descriptions, see Common parameters for nppiThreshold_Val functions.

NppStatus nppiThreshold_Val_16s_C3IR | ( | Npp16s * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp16s | rThresholds[3],
|  | const Npp16s | rValues[3],
|  | NppCmpOp | eComparisonOperation
| ) |  |

NppStatus nppiThreshold_Val_16s_C3IR_Ctx | ( | Npp16s * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp16s | rThresholds[3],
|  | const Npp16s | rValues[3],
|  | NppCmpOp | eComparisonOperation,
|  | NppStreamContext | nppStreamCtx
| ) |  |

3 channel 16-bit signed short in place threshold.

If for a comparison operations OP the predicate (sourcePixel OP nThreshold) is true, the pixel is set to nValue, otherwise it is set to sourcePixel.

For common parameter descriptions, see Common parameters for nppiThreshold_Val functions.

NppStatus nppiThreshold_Val_16s_C3R | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp16s | rThresholds[3],
|  | const Npp16s | rValues[3],
|  | NppCmpOp | eComparisonOperation
| ) |  |

NppStatus nppiThreshold_Val_16s_C3R_Ctx | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp16s | rThresholds[3],
|  | const Npp16s | rValues[3],
|  | NppCmpOp | eComparisonOperation,
|  | NppStreamContext | nppStreamCtx
| ) |  |

3 channel 16-bit signed short threshold.

If for a comparison operations OP the predicate (sourcePixel OP nThreshold) is true, the pixel is set to nValue, otherwise it is set to sourcePixel.

For common parameter descriptions, see Common parameters for nppiThreshold_Val functions.

NppStatus nppiThreshold_Val_16u_AC4IR | ( | Npp16u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp16u | rThresholds[3],
|  | const Npp16u | rValues[3],
|  | NppCmpOp | eComparisonOperation
| ) |  |

NppStatus nppiThreshold_Val_16u_AC4IR_Ctx | ( | Npp16u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp16u | rThresholds[3],
|  | const Npp16u | rValues[3],
|  | NppCmpOp | eComparisonOperation,
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 16-bit unsigned short in place image threshold, not affecting Alpha.

If for a comparison operations OP the predicate (sourcePixel.channel OP nThreshold) is true, the channel value is set to nValue, otherwise it is set to sourcePixel.

For common parameter descriptions, see Common parameters for nppiThreshold_Val functions.

NppStatus nppiThreshold_Val_16u_AC4R | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp16u | rThresholds[3],
|  | const Npp16u | rValues[3],
|  | NppCmpOp | eComparisonOperation
| ) |  |

NppStatus nppiThreshold_Val_16u_AC4R_Ctx | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp16u | rThresholds[3],
|  | const Npp16u | rValues[3],
|  | NppCmpOp | eComparisonOperation,
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 16-bit unsigned short image threshold, not affecting Alpha.

If for a comparison operations OP the predicate (sourcePixel.channel OP nThreshold) is true, the channel value is set to nValue, otherwise it is set to sourcePixel.

For common parameter descriptions, see Common parameters for nppiThreshold_Val functions.

NppStatus nppiThreshold_Val_16u_C1IR | ( | Npp16u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp16u | nThreshold,
|  | const Npp16u | nValue,
|  | NppCmpOp | eComparisonOperation
| ) |  |

NppStatus nppiThreshold_Val_16u_C1IR_Ctx | ( | Npp16u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp16u | nThreshold,
|  | const Npp16u | nValue,
|  | NppCmpOp | eComparisonOperation,
|  | NppStreamContext | nppStreamCtx
| ) |  |

1 channel 16-bit unsigned short in place threshold.

If for a comparison operations OP the predicate (sourcePixel OP nThreshold) is true, the pixel is set to nValue, otherwise it is set to sourcePixel.

For common parameter descriptions, see Common parameters for nppiThreshold_Val functions.

NppStatus nppiThreshold_Val_16u_C1R | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp16u | nThreshold,
|  | const Npp16u | nValue,
|  | NppCmpOp | eComparisonOperation
| ) |  |

NppStatus nppiThreshold_Val_16u_C1R_Ctx | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp16u | nThreshold,
|  | const Npp16u | nValue,
|  | NppCmpOp | eComparisonOperation,
|  | NppStreamContext | nppStreamCtx
| ) |  |

1 channel 16-bit unsigned short threshold.

If for a comparison operations OP the predicate (sourcePixel OP nThreshold) is true, the pixel is set to nValue, otherwise it is set to sourcePixel.

For common parameter descriptions, see Common parameters for nppiThreshold_Val functions.

NppStatus nppiThreshold_Val_16u_C3IR | ( | Npp16u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp16u | rThresholds[3],
|  | const Npp16u | rValues[3],
|  | NppCmpOp | eComparisonOperation
| ) |  |

NppStatus nppiThreshold_Val_16u_C3IR_Ctx | ( | Npp16u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp16u | rThresholds[3],
|  | const Npp16u | rValues[3],
|  | NppCmpOp | eComparisonOperation,
|  | NppStreamContext | nppStreamCtx
| ) |  |

3 channel 16-bit unsigned short in place threshold.

If for a comparison operations OP the predicate (sourcePixel OP nThreshold) is true, the pixel is set to nValue, otherwise it is set to sourcePixel.

For common parameter descriptions, see Common parameters for nppiThreshold_Val functions.

NppStatus nppiThreshold_Val_16u_C3R | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp16u | rThresholds[3],
|  | const Npp16u | rValues[3],
|  | NppCmpOp | eComparisonOperation
| ) |  |

NppStatus nppiThreshold_Val_16u_C3R_Ctx | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp16u | rThresholds[3],
|  | const Npp16u | rValues[3],
|  | NppCmpOp | eComparisonOperation,
|  | NppStreamContext | nppStreamCtx
| ) |  |

3 channel 16-bit unsigned short threshold.

If for a comparison operations OP the predicate (sourcePixel OP nThreshold) is true, the pixel is set to nValue, otherwise it is set to sourcePixel.

For common parameter descriptions, see Common parameters for nppiThreshold_Val functions.

NppStatus nppiThreshold_Val_32f_AC4IR | ( | Npp32f * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f | rThresholds[3],
|  | const Npp32f | rValues[3],
|  | NppCmpOp | eComparisonOperation
| ) |  |

NppStatus nppiThreshold_Val_32f_AC4IR_Ctx | ( | Npp32f * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f | rThresholds[3],
|  | const Npp32f | rValues[3],
|  | NppCmpOp | eComparisonOperation,
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 32-bit floating point in place image threshold, not affecting Alpha.

If for a comparison operations OP the predicate (sourcePixel.channel OP nThreshold) is true, the channel value is set to nValue, otherwise it is set to sourcePixel.

For common parameter descriptions, see Common parameters for nppiThreshold_Val functions.

NppStatus nppiThreshold_Val_32f_AC4R | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f | rThresholds[3],
|  | const Npp32f | rValues[3],
|  | NppCmpOp | eComparisonOperation
| ) |  |

NppStatus nppiThreshold_Val_32f_AC4R_Ctx | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f | rThresholds[3],
|  | const Npp32f | rValues[3],
|  | NppCmpOp | eComparisonOperation,
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 32-bit floating point image threshold, not affecting Alpha.

If for a comparison operations OP the predicate (sourcePixel.channel OP nThreshold) is true, the channel value is set to nValue, otherwise it is set to sourcePixel.

For common parameter descriptions, see Common parameters for nppiThreshold_Val functions.

NppStatus nppiThreshold_Val_32f_C1IR | ( | Npp32f * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f | nThreshold,
|  | const Npp32f | nValue,
|  | NppCmpOp | eComparisonOperation
| ) |  |

NppStatus nppiThreshold_Val_32f_C1IR_Ctx | ( | Npp32f * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f | nThreshold,
|  | const Npp32f | nValue,
|  | NppCmpOp | eComparisonOperation,
|  | NppStreamContext | nppStreamCtx
| ) |  |

1 channel 32-bit floating point in place threshold.

If for a comparison operations OP the predicate (sourcePixel OP nThreshold) is true, the pixel is set to nValue, otherwise it is set to sourcePixel.

For common parameter descriptions, see Common parameters for nppiThreshold_Val functions.

NppStatus nppiThreshold_Val_32f_C1R | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f | nThreshold,
|  | const Npp32f | nValue,
|  | NppCmpOp | eComparisonOperation
| ) |  |

NppStatus nppiThreshold_Val_32f_C1R_Ctx | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f | nThreshold,
|  | const Npp32f | nValue,
|  | NppCmpOp | eComparisonOperation,
|  | NppStreamContext | nppStreamCtx
| ) |  |

1 channel 32-bit floating point threshold.

If for a comparison operations OP the predicate (sourcePixel OP nThreshold) is true, the pixel is set to nValue, otherwise it is set to sourcePixel.

For common parameter descriptions, see Common parameters for nppiThreshold_Val functions.

NppStatus nppiThreshold_Val_32f_C3IR | ( | Npp32f * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f | rThresholds[3],
|  | const Npp32f | rValues[3],
|  | NppCmpOp | eComparisonOperation
| ) |  |

NppStatus nppiThreshold_Val_32f_C3IR_Ctx | ( | Npp32f * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f | rThresholds[3],
|  | const Npp32f | rValues[3],
|  | NppCmpOp | eComparisonOperation,
|  | NppStreamContext | nppStreamCtx
| ) |  |

3 channel 32-bit floating point in place threshold.

If for a comparison operations OP the predicate (sourcePixel OP nThreshold) is true, the pixel is set to nValue, otherwise it is set to sourcePixel.

For common parameter descriptions, see Common parameters for nppiThreshold_Val functions.

NppStatus nppiThreshold_Val_32f_C3R | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f | rThresholds[3],
|  | const Npp32f | rValues[3],
|  | NppCmpOp | eComparisonOperation
| ) |  |

NppStatus nppiThreshold_Val_32f_C3R_Ctx | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp32f | rThresholds[3],
|  | const Npp32f | rValues[3],
|  | NppCmpOp | eComparisonOperation,
|  | NppStreamContext | nppStreamCtx
| ) |  |

3 channel 32-bit floating point threshold.

If for a comparison operations OP the predicate (sourcePixel OP nThreshold) is true, the pixel is set to nValue, otherwise it is set to sourcePixel.

For common parameter descriptions, see Common parameters for nppiThreshold_Val functions.

NppStatus nppiThreshold_Val_8u_AC4IR | ( | Npp8u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp8u | rThresholds[3],
|  | const Npp8u | rValues[3],
|  | NppCmpOp | eComparisonOperation
| ) |  |

NppStatus nppiThreshold_Val_8u_AC4IR_Ctx | ( | Npp8u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp8u | rThresholds[3],
|  | const Npp8u | rValues[3],
|  | NppCmpOp | eComparisonOperation,
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 8-bit unsigned char in place image threshold, not affecting Alpha.

If for a comparison operations OP the predicate (sourcePixel.channel OP nThreshold) is true, the channel value is set to nValue, otherwise it is set to sourcePixel.

For common parameter descriptions, see Common parameters for nppiThreshold_Val functions.

NppStatus nppiThreshold_Val_8u_AC4R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp8u | rThresholds[3],
|  | const Npp8u | rValues[3],
|  | NppCmpOp | eComparisonOperation
| ) |  |

NppStatus nppiThreshold_Val_8u_AC4R_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp8u | rThresholds[3],
|  | const Npp8u | rValues[3],
|  | NppCmpOp | eComparisonOperation,
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 8-bit unsigned char image threshold, not affecting Alpha.

If for a comparison operations OP the predicate (sourcePixel.channel OP nThreshold) is true, the channel value is set to nValue, otherwise it is set to sourcePixel.

For common parameter descriptions, see Common parameters for nppiThreshold_Val functions.

NppStatus nppiThreshold_Val_8u_C1IR | ( | Npp8u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp8u | nThreshold,
|  | const Npp8u | nValue,
|  | NppCmpOp | eComparisonOperation
| ) |  |

NppStatus nppiThreshold_Val_8u_C1IR_Ctx | ( | Npp8u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp8u | nThreshold,
|  | const Npp8u | nValue,
|  | NppCmpOp | eComparisonOperation,
|  | NppStreamContext | nppStreamCtx
| ) |  |

1 channel 8-bit unsigned char in place threshold.

If for a comparison operations OP the predicate (sourcePixel OP nThreshold) is true, the pixel is set to nValue, otherwise it is set to sourcePixel.

For common parameter descriptions, see Common parameters for nppiThreshold_Val functions.

NppStatus nppiThreshold_Val_8u_C1R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp8u | nThreshold,
|  | const Npp8u | nValue,
|  | NppCmpOp | eComparisonOperation
| ) |  |

NppStatus nppiThreshold_Val_8u_C1R_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp8u | nThreshold,
|  | const Npp8u | nValue,
|  | NppCmpOp | eComparisonOperation,
|  | NppStreamContext | nppStreamCtx
| ) |  |

1 channel 8-bit unsigned char threshold.

If for a comparison operations OP the predicate (sourcePixel OP nThreshold) is true, the pixel is set to nValue, otherwise it is set to sourcePixel.

For common parameter descriptions, see Common parameters for nppiThreshold_Val functions.

NppStatus nppiThreshold_Val_8u_C3IR | ( | Npp8u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp8u | rThresholds[3],
|  | const Npp8u | rValues[3],
|  | NppCmpOp | eComparisonOperation
| ) |  |

NppStatus nppiThreshold_Val_8u_C3IR_Ctx | ( | Npp8u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp8u | rThresholds[3],
|  | const Npp8u | rValues[3],
|  | NppCmpOp | eComparisonOperation,
|  | NppStreamContext | nppStreamCtx
| ) |  |

3 channel 8-bit unsigned char in place threshold.

If for a comparison operations OP the predicate (sourcePixel OP nThreshold) is true, the pixel is set to nValue, otherwise it is set to sourcePixel.

For common parameter descriptions, see Common parameters for nppiThreshold_Val functions.

NppStatus nppiThreshold_Val_8u_C3R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp8u | rThresholds[3],
|  | const Npp8u | rValues[3],
|  | NppCmpOp | eComparisonOperation
| ) |  |

NppStatus nppiThreshold_Val_8u_C3R_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | const Npp8u | rThresholds[3],
|  | const Npp8u | rValues[3],
|  | NppCmpOp | eComparisonOperation,
|  | NppStreamContext | nppStreamCtx
| ) |  |

3 channel 8-bit unsigned char threshold.

If for a comparison operations OP the predicate (sourcePixel OP nThreshold) is true, the pixel is set to nValue, otherwise it is set to sourcePixel.

For common parameter descriptions, see Common parameters for nppiThreshold_Val functions.

Copyright © 2009-2018 NVIDIA Corporation